package edu.uoc.jsev.b4b.data;

/**
 * Clase que representa un error genérico devuelto desde el backend.
 */
public class ServiceFault {

    // Mensaje descriptivo del error.
    private String message;

    // Código de error, si lo hubiera.
    private String code;

    public ServiceFault(String message) {
        this.message = message;
    }

    public ServiceFault(String message, String code) {
        this.message = message;
        this.code = code;
    }

    public String getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
