package edu.uoc.jsev.b4b.data.backendless.model;

import com.backendless.BackendlessUser;

/**
 * Entidad de negocio "Usuario", que se persiste en el backend.
 */
public abstract class Usuario extends BackendlessUser {

    // Nombres de las columnas de la tabla asociada a la entidad en el backend.
    public static final String BOOKS_NUMBER_KEY = "booksNumber";
    public static final String LOCATION_KEY = "location";
    public static final String NAME_KEY = "name";
    public static final String RATING_KEY = "rating";

    public static final String LOCATION_METADATA_KEY = "user";
    public static final String LOCATION_CATEGORY_KEY = "user_location";
}
