package edu.uoc.jsev.b4b.ui.splash;

import edu.uoc.jsev.b4b.ui.base.BasePresenter;

/**
 * Clase de implementación del presentador de la pantalla de splash.
 */
public class SplashPresenter extends BasePresenter implements SplashContract.Presenter {

    // Vista e interactor asociados.
    private SplashContract.View mView;
    private SplashInteractor mInteractor;

    public SplashPresenter(SplashContract.View view, SplashInteractor interactor) {
        this.mView = view;
        this.mInteractor = interactor;
    }

    /**
     * @see SplashContract.Presenter#setup()
     */
    @Override
    public void setup() {
        // Navegamos a la pantalla de login, directamente.
        mView.navigateToLogin();
    }
}
