package edu.uoc.jsev.b4b;

import android.app.Application;

import com.backendless.Backendless;

/**
 * Clase base de la aplicación para mantener su estado global.
 * Se utiliza para inicializar los parámetros de configuración
 * del SDK cliente de Backendless, y así no tener que hacerlo
 * en cada actividad/fragmento que acceda a la API.
 */
public class B4BApplication extends Application {

    @Override
    public void onCreate() {
        super.onCreate();
        Backendless.initApp(getApplicationContext(),
                getString(R.string.backendless_app_id),
                getString(R.string.backendless_api_key));
    }
}
