package edu.uoc.jsev.b4b.data.openlibrary.model;

import java.util.List;

/**
 * Entidad que representa un libro devuelto por OpenLibrary.
 */
public class OpenLibraryBook {

    // Lista de editoriales del libro.
    private List<OpenLibraryPublisher> publishers = null;

    // Título del libro.
    private String title;

    // Fotografías de portada del libro.
    private OpenLibraryCover cover;

    // Lista de autores del libro.
    private List<OpenLibraryAuthor> authors = null;

    public List<OpenLibraryPublisher> getPublishers() {
        return publishers;
    }

    public void setPublishers(List<OpenLibraryPublisher> publishers) {
        this.publishers = publishers;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public OpenLibraryCover getCover() {
        return cover;
    }

    public void setCover(OpenLibraryCover cover) {
        this.cover = cover;
    }

    public List<OpenLibraryAuthor> getAuthors() {
        return authors;
    }

    public void setAuthors(List<OpenLibraryAuthor> authors) {
        this.authors = authors;
    }
}
