package edu.uoc.jsev.b4b.ui.adapter.recyclerview;

import edu.uoc.jsev.b4b.data.uimodel.UiEntity;

/**
 * Interfaz para gestionar las pulsaciones sobre los elementos
 * de un listado gestionado a través de un RecyclerView.
 */
public interface RecyclerViewItemClickListener {
    /**
     * Se ha pulsado sobre un elemento del listado.
     * @param item Datos asociados al ítem sobre
     *             el que se ha pulsado.
     */
    void onItemClick(UiEntity item);
}
