package edu.uoc.jsev.b4b.ui.base;

/**
 * Interfaz de la que extienden todos los interactores de la aplicación
 * relacionados con la gestión de libros.
 * Ofrece una serie de funcionalidades comunes a todos ellos.
 */
public interface BaseBooksInteractor extends BaseInteractor {
    /**
     * Devuelve el código asociado al estado "malo".
     * @return El código asociado al estado "malo".
     */
    int getBookStateBad();

    /**
     * Devuelve el código asociado al estado "regular".
     * @return El código asociado al estado "regular".
     */
    int getBookStateRegular();

    /**
     * Devuelve el código asociado al estado "bueno".
     * @return El código asociado al estado "bueno".
     */
    int getBookStateGood();
}
